{*
TestLink Open Source Project - http://testlink.sourceforge.net/
$Id: resultsByUser.tpl,v 1.0 2017/10/20 07:31:50 Michal Grolmus Exp $
Purpose: smarty template - show progress report
Revisions:
*}
{lang_get var="labels"
     s='trep_kw,trep_owner,trep_comp,generated_by_TestLink_on, title_user_exec_report_daily,title_user_exec_all_report_daily,
       	 th_overall_priority, th_progress, th_expected, th_overall, th_milestone,title_metrics_active_build,
       	 th_tc_priority_high, th_tc_priority_medium, th_tc_priority_low,trep_tester,
         title_res_by_kw,title_res_by_owner,title_res_by_top_level_suites,th_total_tc,
         title_gen_test_rep,title_report_tc_priorities,title_report_milestones,product,test_plan,build,
         title_metrics_x_build,date_time_run,th_tc_total,th_perc_completed,th_daily_executed_tc ,th_agg_executed_tc'
}
<html>

{assign var=this_template_dir value=$smarty.template|dirname}
{include file="inc_head.tpl"}
<body>

{literal}

<div id="container" style="width:100%; height:600px;"></div>
<script>

    Highcharts.chart('container', {
        chart: {
            type: 'area'
        },
        title: {
            text: 'Progress Report'
        },
        subtitle: {
            text: '{/literal}{$buildResults.test_plan}{literal}'
        },
        xAxis: {
            type: 'datetime',
            dateTimeLabelFormats: {
                month: '%e. %b',
                year: '%b'
            },
            title: {
                text: 'Date'
            },
            plotLines: [{
              color: 'black', // Color value
              dashStyle: 'solid', // Style of the plot line. Default to solid
              value: {/literal}{$releaseDate}{literal}, // Value of where the line will appear
              width: 2, // Width of the line
              label: { 
                text: 'Release date', // Content of the label. 
                align: 'left', // Positioning of the label.
              }    
            }]
        },
        yAxis: {
            title: {
                text: 'No. of TCs'
            },
            labels: {
                formatter: function () {
                    return this.value;
                }
            }
        },
        tooltip: {
            split: true,
            valueSuffix: ' TCs'
        },
        plotOptions: {
            area: {
                stacking: 'normal',
                lineColor: '#666666',
                lineWidth: 1,
                marker: {
                    lineWidth: 1,
                    lineColor: '#666666'
                }
            }
        },
        series: [{
            name: 'Passed',
            data: [{/literal}{$reportData.p}{literal}],
            color: '#00cc00'
        }, {
            name: 'Blocked',
            data: [{/literal}{$reportData.b}{literal}],
            color: '#ffff00'
        }, {
            name: 'Failed',
            data: [{/literal}{$reportData.f}{literal}],
            color: '#ff0000'
        }, {
            type: 'line',
            name: 'Execution Plan',
            data: [{/literal}{$reportData.plan}{literal}],
            color: '#000000',
            marker: {
                lineWidth: 3,
                lineColor: Highcharts.getOptions().colors[1],
                fillColor: 'white'
        }}]
    });

</script>
{/literal}

<p style="margin: 10px;">{$labels.generated_by_TestLink_on} {$smarty.now|date_format:$gsmarty_timestamp_format}</p>

</body>
</html>