<?php
/**
 * TestLink Open Source Project - http://testlink.sourceforge.net/
 * This script is distributed under the GNU General Public License 2 or later.
 *
 * @filesource $RCSfile: resultsByUser.php,v $
 * @version $Revision: 1.0 $
 * @modified $Date: 2010/10/07 07:32:05 $ by $Author: amitkhullar $
 * @author	Amit Khullar<amitkhullar at users.sourceforge.net>
 *
 * This page show Daily Test Results over all Builds for a User.
 *
 * Revisions:
 *
 * ----------------------------------------------------------------------------------- */
require('../../config.inc.php');
require_once('common.php');
require_once('testplan.class.php');
require_once('displayMgr.php');
testlinkInitPage($db);

$templateCfg = templateConfiguration();
$args = init_args();
$results = array();
$gui = array();
//$gui->tproject_name = $_SESSION['testprojectName'];


$tplan_result = new testplan($db);
$can_manage_tprojects = has_rights($db,'mgt_modify_product');

if ($can_manage_tprojects)
{
	$user_id = null;
}
else
{
	$user_id = $_SESSION['userID'];
}

$tproject_id = $_SESSION['testprojectID'];
$tplan_id = $_REQUEST['tplan_id'];
//print_r("U_ID =" . $user_id . " P_ID= " .$tproject_id . "TP_ID=" .$tplan_id);

$results = $tplan_result->daily_execution_results($tproject_id, $tplan_id, $user_id,null,null,null,0,$args->latest);

$columnsDefinition = report_status_headers();
$user = $_SESSION['currentUser']->getDisplayName();

$gui->tproject_id=$tproject_id;
$gui->tplan_id = $tplan_id;
$gui->plan_total = $results['total'];
// ----------------------------------------------------------------------------
$smarty = new TLSmarty;
$smarty->assign('columnsDefinition', $columnsDefinition);
$smarty->assign('buildResults',$results);
$smarty->assign('user',$user);
$smarty->assign('gui',$gui);
$smarty->assign('latest',$args->latest);
$smarty->assign('printDate','');
//$smarty->display($templateCfg->template_dir . $templateCfg->default_template);
$format = isset($_GET['format']) ? intval($_GET['format']) : null;
if (!isset($_GET['format']))
{
	tlog('$_GET["format"] is not defined');
	exit();
}
displayReport($templateCfg->template_dir . $templateCfg->default_template, $smarty, $format);

?>
<?php

/**Function report_status_headers to get the status verbose details from the status code like 'p' -> Pass, 'f' -> Failed etc
 * @return column -> status verbose map
 * @todo: We can include this functionality in existing code / class files
 * but dint knew where to do that
 */
function report_status_headers()
{

	$resultsCfg=config_get('results');
	$labels=$resultsCfg['status_label'];
	$labels_code=$resultsCfg['code_status'];

	foreach($labels_code as $key => $value)
	{
		if (!($key == 'a') and !($key == 'n'))
		{
			$code_status[$key]=$value;
		}
	}
	foreach($code_status as $key => $status_verbose)
	{
		$l18n_label = isset($labels[$status_verbose]) ? lang_get($labels[$status_verbose]) :
		lang_get($status_verbose);

		$colDefinition[$key]=$l18n_label;
	}
	return $colDefinition;
}
/*
 function:

 args :

 returns:

 */
function init_args()
{
    $args = new stdClass();

    $args->latest = isset($_REQUEST['latest']) ? $_REQUEST['latest'] : 1;
    return $args;
}
?>
